package com.dxhy.erp.entity.alltax;

import java.math.BigDecimal;

/**
 * @author futianhao
 */
public class CompInputInvoiceDetail {
    /**
     * 行号
     */
    private String lineNo;
    /**
     * 商品编码
     */
    private String goodsCode;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 自行编码
     */
    private String selfCode;
    /**
     * 优惠政策标识
     */
    private String incentiveFlag;
    /**
     * 零税率标识
     */
    private String zeroTaxrateFlag;
    /**
     * 增值税特殊管 理
     */
    private String addedTaxSpecial;
    /**
     * 金额
     */
    private BigDecimal detailAmount;
    /**
     * 税额
     */
    private BigDecimal taxAmount;
    /**
     * 含税单价
     */
    private BigDecimal taxUnitPrice;
    /**
     * 税率
     */
    private String taxRate;
    /**
     * 数量
     */
    private int num;
    /**
     * 单价
     */
    private BigDecimal unitPrice;
    /**
     * 规格型号
     */
    private String specificationModel;
    /**
     * 计量单位
     */
    private String unit;

    public String getLineNo() {
        return lineNo;
    }

    public void setLineNo(String lineNo) {
        this.lineNo = lineNo;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getSelfCode() {
        return selfCode;
    }

    public void setSelfCode(String selfCode) {
        this.selfCode = selfCode;
    }

    public String getIncentiveFlag() {
        return incentiveFlag;
    }

    public void setIncentiveFlag(String incentiveFlag) {
        this.incentiveFlag = incentiveFlag;
    }

    public String getZeroTaxrateFlag() {
        return zeroTaxrateFlag;
    }

    public void setZeroTaxrateFlag(String zeroTaxrateFlag) {
        this.zeroTaxrateFlag = zeroTaxrateFlag;
    }

    public String getAddedTaxSpecial() {
        return addedTaxSpecial;
    }

    public void setAddedTaxSpecial(String addedTaxSpecial) {
        this.addedTaxSpecial = addedTaxSpecial;
    }

    public BigDecimal getDetailAmount() {
        return detailAmount;
    }

    public void setDetailAmount(BigDecimal detailAmount) {
        this.detailAmount = detailAmount;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getTaxUnitPrice() {
        return taxUnitPrice;
    }

    public void setTaxUnitPrice(BigDecimal taxUnitPrice) {
        this.taxUnitPrice = taxUnitPrice;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getSpecificationModel() {
        return specificationModel;
    }

    public void setSpecificationModel(String specificationModel) {
        this.specificationModel = specificationModel;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
}
